$BB::SUPPORT::registerBuilding = true;

function registerBuildingType(%type,%upcap,%screwc,%cost,%hhstr,%shape)
{
   if(strLen(%shape) < 1)
      %shape = "base/data/shapes/player/m.dts";
   if(isObject(%db = nametoid("BB_Building_"@%type)))
   {
      echo(%type @ ": Type exists, overwriting.");
      %db.bb_screwsPerUpgrade = %screwc;
      %db.bb_maxUpgradeLevel = %upcap;
      return 0;
   }
   for(%i=1;%i<=%upcap;%i++)
   {
      datablock PlayerData(TempDummy_PlayerData : PlayerStandardArmor)
      {
         shapeFile = %shape;
         maxDamage = getWord(%hhstr,%i-1);
         bb_screwCost = %cost;
         ghostImage = "BB_Building_"@%type@"_CarryImage_";
         uiName = "";
         bb_screwsPerUpgrade = %screwc;
         bb_maxUpgradeLevel = %upcap;
      };
      TempDummy_PlayerData.setName("BB_Building_"@%type@"_"@%i);
      //eval("datablock PlayerData(BB_Building_"@%type@"_"@%i@" : PlayerStandardArmor) { shapeFile = \""@%shape@"\"; maxDamage = \""@getWord(%hhstr,%i-1)@"\"; bb_screwCost = \""@%cost@"\"; ghostImage = BB_Building_"@%type@"_CarryImage_; uiName = \"\"; bb_screwsPerUpgrade = "@%screwc@"; bb_maxUpgradeLevel = "@%upcap@"; }; ");
      eval("function BB_Building_"@%type@"_"@%i@"::onRemove(%this,%obj) { if(isObject(%obj.emptyshape)) %obj.emptyshape.delete(); if(isObject(%obj.userSimSet)) %obj.userSimSet.delete(); }");
   }
   datablock ItemData(TempDummy_ItemData : printGun)
   {
      uiName = "";
      shapeFile = $BB::Path@"data/TF2toolbox.dts";
   };
   TempDummy_ItemData.setName("BB_Building_"@%type@"_CarryItem");
   //eval("datablock itemData(BB_Building_"@%type@"_CarryItem : printGun) { uiName = \""@strupr(%type)@"\"; shapeFile = \"base/data/shapes/player/m.dts\"; image = BB_Building_"@%type@"_CarryImage; };");
   //datablock shapeBaseImageData(TempDummy_shapeBaseImageData : printGunImage)
   //{
   //}.setName("BB_Building__CarryImage_RED");
   eval("datablock shapeBaseImageData(BB_Building_"@%type@"_CarryImage_RED : printGunImage) { item = BB_Building_"@%type@"_CarryItem; shapeFile = \""@$BB::Path@"data/TF2toolbox.dts\"; colorShift = \"165 68 23 255\"; doColorShift = true; };");
   eval("datablock shapeBaseImageData(BB_Building_"@%type@"_CarryImage_BLU : printGunImage) { item = BB_Building_"@%type@"_CarryItem; shapeFile = \""@$BB::Path@"data/TF2toolbox.dts\"; colorShift = \"53 147 175 255\"; doColorShift = true; };");
   eval("function BB_Building_"@%type@"_CarryImage_RED::onFire(%this,%obj,%slot) { createEngineerBuilding(vectorAdd(%obj.client.player.getPosition(),vectorScale(%obj.client.player.getForwardVector(),5)),"@%type@",%obj.client); %obj.client.player.unmountImage(0); if(isObject(%obj.client.bb_building[\""@%type@"\"])) %obj.client.bb_screws = %obj.client.bb_screws - "@%cost@"; }");
   eval("function BB_Building_"@%type@"_CarryImage_BLU::onFire(%this,%obj,%slot) { createEngineerBuilding(vectorAdd(%obj.client.player.getPosition(),vectorScale(%obj.client.player.getForwardVector(),5)),"@%type@",%obj.client); %obj.client.player.unmountImage(0); if(isObject(%obj.client.bb_building[\""@%type@"\"])) %obj.client.bb_screws = %obj.client.bb_screws - "@%cost@"; }");
}