package BB_support_ammo
{
	function Player::unmountImage(%this,%slot)
	{
		Parent::unmountImage(%this,%slot);
		%this.client.ammoStr = "";
	}
	function Player::mountImage(%this,%obj,%slot)
	{
	   Parent::mountImage(%this,%obj,%slot);
		if(!isObject(%cl = %this.client))
			return;
		if(strLen(%data = %obj.item.ammoData) < 1)
			return;
		if(strLen(%cl.player.ammoData[%obj.item]) < 1)	
			%cl.player.ammoData[%obj.item] = %data;
		%dataType = getField(strReplace(%cl.player.ammoData[%obj.item],":","\t"),0);
		%typeData = getField(strReplace(%cl.player.ammoData[%obj.item],":","\t"),1);
		switch$ (%dataType)
		{
			case mag: %str = getField(strReplace(%typeData,"/","\t"),0) @ " ("@getField(strReplace(%typeData,"/","\t"),1)@" magazine)";
			case clip: %str = getField(strReplace(%typeData,"/","\t"),0) @ " (" @ getField(strReplace(%typeData,"/","\t"),1) @ " clips)";
			case preloaded: %str = %typeData;
			default: return;
		}
		%cl.ammoStr = %str;
	}
};
activatePackage(BB_support_ammo);

function WeaponImage::onFireAmmoCheck(%this,%obj)
	{
	   messageClient(%obj.client,'',"\c6onFire: "@%this.item.uiName);
		if( (!isObject(%cl = %obj.client)) || strLen(%obj.client.player.ammoData[%this.item]) < 1 )
		{
		   messageClient(%obj.client,'',"\c6first fail");
			return 1;
		}
		%dataType = getField(strReplace(%cl.player.ammoData[%this.item],":","\t"),0);
		%typeData = getField(strReplace(%cl.player.ammoData[%this.item],":","\t"),1);
		%itemData = getField(strReplace(%this.item.ammoData,":","\t"),1);
		switch$ (%dataType)
		{
			case mag:
				%ammo = getField(strReplace(%typeData,"/","\t"),0);
				%mag = getField(strReplace(%typeData,"/","\t"),1);
				%fullAmm = getField(strReplace(%itemData,"/","\t"),0);
				if(%ammo < 1 && %mag < 1)
					return 0;
				else if(%ammo < 1 && %mag >= %fullAmm)
				{
					%mag=%mag-%fullAmm;
					%ammo = %fullAmm;
				}
				else if(%ammo < 1 && (%mag < %fullAmm && %mag > 0))
				{
					%ammo = %mag;
					%mag = 0;
				}
			case clip:
				%ammo = getField(strReplace(%typeData,"/","\t"),0);
				%clip = getField(strReplace(%typeData,"/","\t"),1);
				if(%ammo < 1 && %mag < 1)
					return 1;
				else if(%ammo < 1 && %mag > 0)
				{
					%mag--;
					%ammo = getField(strReplace(%typeData,"/","\t"),0);
				}
			case preloaded:
				%ammo = %typeData;
				if(%ammo < 1)
					return 0;
			default: return 0;
		}
		return 1;
	}