function convertCloudNameToID(%name) {
	switch$ (%name) {
		//Scout
		case Scattergun: return tf2_scattergunItem;
		case ScoutPistol: return tf2_pistolItem;
		case Bat: return tf2_batItem;
		case ForceANature: return tf2_forceItem;

		//Soldier
		case RocketLauncher: return tf2_rocketItem;
		case SoldierShotgun: return tf2_shotgunItem;
		case Shovel: return tf2_shovelItem;

		//Pyro
		case Flamethrower: return tf2_flamethrowerItem;
		case PyroShotgun: return tf2_shotgunItem;
		case FireAxe: return tf2_axeItem;

		//Demoman
		case GrenadeLauncher: return tf2_pipeItem;
		case StickyBombLauncher: return tf2_stickybombItem;
		case Bottle: return tf2_bottleItem;

		//Heavy
		case Minigun: return tf2_minigunItem;
		case HeavyShotgun: return tf2_shotgunItem;
		case Fists: return tf2_fistsItem;
		
		//Engineer
		case EngineerShotgun: return tf2_shotgunItem;
		case EngineerPistol: return tf2_pistolItem;
		case Wrench: return tf2_wrenchItem;
		case BuildTool: return tf2_buildPDAItem;
		case DemolishTool: return tf2_demolishPDAItem;

		//Medic
		case SyringeGun: return tf2_syringeItem;
		case Medigun: return tf2_medigunItem;
		case Bonesaw: return tf2_bonesawItem;
		
		//Sniper
		case SniperRifle: return tf2_sniperItem;
		case SubmachineGun: return tf2_submachineGunItem;
		case Kukri: return tf2_kukriItem;

		//Spy
		case Revolver: return tf2_revolverItem;
		case ElectroSapper: return tf2_sapperItem;
		case Knife: return tf2_knifeItem;
		case DisguiseKit: return tf2_disguiseItem;
		case InvisibilityWatch: return tf2_invisibilityWatchItem;
	}
}
function convertIDToCloudName(%id,%ext) {
	switch$ (%id) {
	   //Shared
	   case tf2_pistolItem: return %ext @ "Pistol";
	   case tf2_shotgunItem: return %ext @ "Shotgun";
	   
		//Scout
		case tf2_scattergunItem: return Scattergun;
		case tf2_batItem: return Bat;
		case tf2_forceItem: return ForceANature;

		//Soldier
		case tf2_rocketItem: return RocketLauncher;
		case tf2_shovelItem: return Shovel;

		//Pyro
		case tf2_flamethrowerItem: return Flamethrower;
		case tf2_axeItem: return FireAxe;

		//Demoman
		case tf2_pipeItem: return GrenadeLauncher;
		case tf2_stickybombItem: return StickyBombLauncher;
		case tf2_bottleItem: return Bottle;

		//Heavy
		case tf2_minigunItem: return Minigun;
		case tf2_fistsItem: return Fists;
		
		//Engineer
		case tf2_wrenchItem: return Wrench;
		case tf2_buildPDAItem: return BuildTool;
		case tf2_demolishPDAItem: return DemolishTool;

		//Medic
		case tf2_syringeItem: return SyringeGun;
		case tf2_medigunItem: return Medigun;
		case tf2_bonesawItem: return Bonesaw;
		
		//Sniper
		case tf2_sniperItem: return SniperRifle;
		case tf2_submachineGunItem: return SubmachineGun;
		case tf2_kukriItem: return Kukri;

		//Spy
		case tf2_revolverItem: return Revolver;
		case tf2_sapperItem: return ElectroSapper;
		case tf2_knifeItem: return Knife;
		case tf2_disguiseItem: return DisguiseKit;
		case tf2_invisibilityWatchItem: return InvisibilityWatch;
	}
}