package BB_support_showBottomprint
{
   function GameConnection::onClientEnterGame(%this)
   {
      %this.showBottomprint();
      Parent::onClientEnterGame(%this);
   }
};
activatePackage(BB_support_showBottomprint);

function GameConnection::showBottomprint(%this)
{
   cancel(%this.showBottomprint);
   if(%this.bb_team $= BB_TEAM_BLU)
      %color = "<color:00688B>";
   else if(%this.bb_team $= BB_TEAM_RED)
      %color = "<color:A62A2A>";
   %font = "<font:impact:20>";
   %image = "<bitmap:Add-Ons/Gamemode_BlockBastion/data/class_"@strlwr(%this.bb_classui)@">";
   if(isObject(%this.player))
   {
      if(%this.bb_class $= BB_CLASS_ENGINEER)
         %dataStr = %font @ %image SPC %color @ "HEALTH: "@mFloor(%this.player.getDataBlock().maxDamage - %this.player.getDamageLevel())@"<just:center>"@%color@"AMMO: NotScriptedYet:)<just:right>"@%color@"METAL: "@%this.bb_screws@" ";
      else
         %dataStr = %font @ %image SPC %color @ "HEALTH: "@mFloor(%this.player.getDataBlock().maxDamage - %this.player.getDamageLevel())@"<just:right>"@%color@(strLen(%this.ammoStr) > 0 ? "AMMO: "@%this.ammoStr : "")@" ";
      if($RoundRunning)
      {
         %dataStr = "<just:center>\c6"@getTimeString(getRoundTime())@" \c3time left<br><just:left>" @ %dataStr;
      }
      %maxdmg = %this.player.getDataBlock().maxDamage;
      %curdmg = %this.player.getDamageLevel();
      %dmglft = mFloor(%maxdmg - %curdmg);
      if(%this.bb_hasClient)
         commandToClient(%this,'BB_SetHealth',%dmglft,%maxdmg);
      else
         commandToClient(%this,'bottomPrint',%dataStr @ (strLen(%this.extraData) > 0 ? "<br><just:left>" @ %this.extraData : ""),1,2);
   }
   %this.showBottomprint = %this.schedule(100,showBottomprint);
}