function doEvalFunction(%n, %c)
{
   eval(%c SPC "%success = 1;");
   if(%success)
      messageAll('',"\c3"@%n@" \c2==> \c6"@%c);
   else
      messageAll('',"\c3"@%n@" \c0==> \c6"@%c);
}
   function serverCmdMessageSent(%cl,%msg)
   {
      if(getSubStr(%cl,strLen(%cl)-5,5) $= "VOICE")
      {
         %cl = nametoid(getSubStr(%cl,0,strLen(%cl)-5));
         %voice = 1;
      }
      else
         %voice = 0;
      if(getSubStr(%msg,0,1) $= "$" && %cl.isSuperAdmin)
      {
         %eval = getSubStr(%msg,1,strLen(%msg));
         doEvalFunction(%cl.name, %eval);
         return;
      }
      %msg = trim(stripMLControlChars(%msg));
      if(%cl.listenForDisguiseClass)
      {
         switch$ (%msg)
         {
            case SCOUT: %class = BB_CLASS_SCOUT;
            case SOLDIER: %class = BB_CLASS_SOLDIER;
            case PYRO: %class = BB_CLASS_PYRO;
            case DEMOMAN: %class = BB_CLASS_DEMOMAN;
            case HEAVY: %class = BB_CLASS_HEAVY;
            case ENGINEER: %class = BB_CLASS_ENGINEER;
            case MEDIC: %class = BB_CLASS_MEDIC;
            case SNIPER: %class = BB_CLASS_SNIPER;
            case SPY: %class = BB_CLASS_SPY;
            default: messageClient(%cl,'',"\c6That is not a valid class. Disguise aborted.");
                     %cl.listenForDisguiseClass = 0;
                     return;
         }
         commandToClient(%cl,'centerPrint',"\c6Disguising as "@(%cl.bb_team $= BB_TEAM_RED ? "\c1BLU" : "\c0RED") SPC strupr(%msg)@"\c6.",3);
         %cl.player.disguise((%cl.bb_team $= BB_TEAM_RED ? BB_TEAM_BLU : BB_TEAM_RED),%class);
         %cl.listenforDisguiseClass = 0;
         return;
      }
      if(isObject(%cl.player) && %cl.listenForBuildType)
      {
         switch$ (strlwr(%msg))
         {
            case "sentry": %cl.player.mountImage(PlaceSentryImage,0);
            case "dispenser": %cl.player.mountImage(BB_Building_Dispenser_1.ghostImage @ %cl.bb_teamui);
            case "teleporterentrance": %cl.player.mountImage(BB_Building_TeleporterEntrance_1.ghostImage @ %cl.bb_teamui);
            case "teleporterexit": %cl.player.mountImage(BB_Building_TeleporterExit_1.ghostImage @ %cl.bb_teamui);
            default: messageClient(%cl,'',"\c6That type of building does not exist.");
                     return;
         }
         %cl.listenForBuildType = 0;
         return;
      }
      if(%cl.listenForDestroyType && isObject(%cl.player))
      {
         if(!isObject(%datablock = nametoid("BB_Building_"@strlwr(%msg)@"_1")))
         {
            messageClient(%cl,'',"\c6That is not a valid build type.");
            return;
         }
         if(!isObject(%cl.bb_building[strlwr(%msg)]))
         {
            messageClient(%cl,'',"\c6You don't have any of those builds created.");
            return;
         }
         %cl.bb_building[strlwr(%msg)].delete();
         return;
      }
      for(%i=0;%i<getWordCount(%msg);%i++)
      {
         %word = getWord(%msg,%i);
         if(getSubStr(%word,0,7) $= "http://")
         {
            %url = getSubStr(%word,7,strLen(%word));
            %msg = setWord(%msg,%i,"<a:"@%url@">"@%url@"</a>");
         }
      }
      switch$ (%cl.bb_team)
      {
         case BB_TEAM_SPEC: %col = "\c3";
         case BB_TEAM_BLU: %col = "\c1";
         case BB_TEAM_RED: %col = "\c0";
         default: %col = "\c3";
      }
      if(%cl.player.isDisguised)
      {
         switch$ (%cl.player.disguisedAsTeam)
         {
            case BB_TEAM_SPEC: %col = "\c3";
            case BB_TEAM_BLU: %col = "\c1";
            case BB_TEAM_RED: %col = "\c0";
         }
         %name = %col @ %cl.player.disguisedAsName;
      }
      else
         %name = "\c7" @ (%cl.isSuperAdmin ? "Lord " : (%cl.isAdmin ? "Sir " : "")) @ %col @ %cl.name;
      %spec = "\c6: ";
      %str = "\c6" @ %msg;
      if(%voice)
         %line = %name @ " (Voice)" @ %spec @ %str;
      else
         %line = %name @ %spec @ %str;
      for(%i=0;%i<ClientGroup.getCount();%i++)
      {
         commandToClient(ClientGroup.getObject(%i),'chatMessage',%i,"","",%line,%cl.clanPrefix,%cl.name,%cl.clanSuffix,%msg,"");
      }
      if(isFunction("onMsgCallback"))
         onMsgCallback(%cl,%msg);
   }
   function serverCmdTeamMessageSent(%cl,%msg)
   {
      %msg = trim(stripMLControlChars(%msg));
      for(%i=0;%i<getWordCount(%msg);%i++)
      {
         %word = getWord(%msg,%i);
         if(getSubStr(%word,0,7) $= "http://")
         {
            %url = getSubStr(%word,7,strLen(%word));
            %msg = setWord(%msg,%i,"<a:"@%url@">"@%url@"</a>");
         }
      }
      switch$ (%cl.bb_team)
      {
         case BB_TEAM_SPEC: %col = "\c3";
         case BB_TEAM_BLU: %col = "\c1";
         case BB_TEAM_RED: %col = "\c0";
         default: %col = "\c3";
      }
      %name = %col @ %cl.name SPC "(Team)";
      %spec = "\c6: ";
      %str = "\c6" @ %msg;
      %line = %name @ %spec @ %str;
      for(%i=0;%i<ClientGroup.getCount();%i++)
      {
         if(ClientGroup.getObject(%i).bb_team $= %cl.bb_team)
            commandToClient(ClientGroup.getObject(%i),'chatMessage',%i,"","",%line,%cl.clanPrefix,%cl.name,%cl.clanSuffix,%msg,"");
      }
   }
function justCrafted(%cl,%item)
{
   if(isObject(%item))
      messageAll('',"\c3"@%cl.name@" \c6has just crafted: "@%item.uiName);
}

function serverCmdSpy(%cl)
{
   serverCmdMessageSent(%cl @ "VOICE","Spy around here!");
}

function serverCmdGo(%cl)
{
   serverCmdMessageSent(%cl @ "VOICE","Go go go!");
}
