package BB_system_joinGame
{
   function GameConnection::autoAdminCheck(%this)
   {
      %this.bb_class = BB_CLASS_SCOUT;
      %this.bb_classui = "Scout";
      %this.bb_nextclass = "";
      %this.bb_nextclassui = "";
      
      %this.bb_team = BB_TEAM_SPEC;
      %this.bb_teamui = "Spectators";
      
      %this.bb_imageSlot[BB_CLASS_SCOUT,0] = tf2_scattergunItem;
      %this.bb_imageSlot[BB_CLASS_SCOUT,1] = tf2_pistolItem;
      %this.bb_imageSlot[BB_CLASS_SCOUT,2] = tf2_batItem;
      
      %this.bb_imageSlot[BB_CLASS_SOLDIER,0] = tf2_rocketItem;
      %this.bb_imageSlot[BB_CLASS_SOLDIER,1] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_SOLDIER,2] = tf2_shovelItem;
      
      %this.bb_imageSlot[BB_CLASS_PYRO,0] = tf2_flamethrowerItem;
      %this.bb_imageSlot[BB_CLASS_PYRO,1] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_PYRO,2] = tf2_axeItem;
      
      %this.bb_imageSlot[BB_CLASS_DEMOMAN,0] = tf2_pipeItem;
      %this.bb_imageSlot[BB_CLASS_DEMOMAN,1] = tf2_stickyItem;
      %this.bb_imageSlot[BB_CLASS_DEMOMAN,2] = tf2_bottleItem;
      
      %this.bb_imageSlot[BB_CLASS_HEAVY,0] = tf2_minigunItem;
      %this.bb_imageSlot[BB_CLASS_HEAVY,1] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_HEAVY,2] = tf2_fistsItem;
      
      %this.bb_imageSlot[BB_CLASS_ENGINEER,0] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,1] = tf2_pistolItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,2] = welderItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,3] = tf2_buildPDAItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,4] = tf2_demolishPDAItem;
      
      %this.bb_imageSlot[BB_CLASS_MEDIC,0] = tf2_blutsaugerItem;
      %this.bb_imageSlot[BB_CLASS_MEDIC,1] = tf2_medigunItem;
      %this.bb_imageSlot[BB_CLASS_MEDIC,2] = tf2_ubersawItem;
      
      %this.bb_imageSlot[BB_CLASS_SNIPER,0] = tf2_sniperItem;
      %this.bb_imageSlot[BB_CLASS_SNIPER,1] = tf2_smgItem;
      %this.bb_imageSlot[BB_CLASS_SNIPER,2] = tf2_kukriItem;
      
      %this.bb_imageSlot[BB_CLASS_SPY,0] = tf2_revolverItem;
      %this.bb_imageSlot[BB_CLASS_SPY,1] = tf2_sapperItem;
      %this.bb_imageSlot[BB_CLASS_SPY,2] = tf2_knifeItem;
      %this.bb_imageSlot[BB_CLASS_SPY,3] = tf2_disguiseItem;
      %this.bb_imageSlot[BB_CLASS_SPY,4] = tf2_invisibilityWatchItem;
      return Parent::autoAdminCheck(%this);
   }
   function GameConnection::onClientEnterGame(%this)
   {
      Parent::onClientEnterGame(%this);
      if(isObject($BB::Minigame))
         $BB::Minigame.addMember(%this);
   }
};
activatePackage(BB_system_joinGame);

function AIConnection::onInit(%this)
   {
      if(!isObject(globalBotUserGroup))
         new SimSet(globalBotUserGroup);
      if(!globalBotUserGroup.isMember(%this))
         globalBotUserGroup.add(%this);
      if(isObject($BB::Minigame))
         $BB::Minigame.addMember(%this);
      if(strLen(%this.bb_class) < 1)
      {
         %this.bb_class = BB_CLASS_SCOUT;
         %this.bb_classui = "Scout";
         %this.bb_nextclass = "";
         %this.bb_nextclassui = "";
      }
      
      %this.bb_imageSlot[BB_CLASS_SCOUT,0] = tf2_scattergunItem;
      %this.bb_imageSlot[BB_CLASS_SCOUT,1] = tf2_pistolItem;
      %this.bb_imageSlot[BB_CLASS_SCOUT,2] = tf2_batItem;
      
      %this.bb_imageSlot[BB_CLASS_SOLDIER,0] = tf2_rocketItem;
      %this.bb_imageSlot[BB_CLASS_SOLDIER,1] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_SOLDIER,2] = tf2_shovelItem;
      
      %this.bb_imageSlot[BB_CLASS_PYRO,0] = tf2_flamethrowerItem;
      %this.bb_imageSlot[BB_CLASS_PYRO,1] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_PYRO,2] = tf2_axeItem;
      
      %this.bb_imageSlot[BB_CLASS_DEMOMAN,0] = tf2_pipeItem;
      %this.bb_imageSlot[BB_CLASS_DEMOMAN,1] = tf2_stickyItem;
      %this.bb_imageSlot[BB_CLASS_DEMOMAN,2] = tf2_bottleItem;
      
      %this.bb_imageSlot[BB_CLASS_HEAVY,0] = tf2_minigunItem;
      %this.bb_imageSlot[BB_CLASS_HEAVY,1] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_HEAVY,2] = tf2_fistsItem;
      
      %this.bb_imageSlot[BB_CLASS_ENGINEER,0] = tf2_shotgunItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,1] = tf2_pistolItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,2] = tf2_wrenchItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,3] = tf2_buildPDAItem;
      %this.bb_imageSlot[BB_CLASS_ENGINEER,4] = tf2_demolishPDAItem;
      
      %this.bb_imageSlot[BB_CLASS_MEDIC,0] = tf2_blutsaugerItem;
      %this.bb_imageSlot[BB_CLASS_MEDIC,1] = tf2_medigunItem;
      %this.bb_imageSlot[BB_CLASS_MEDIC,2] = tf2_ubersawItem;
      
      %this.bb_imageSlot[BB_CLASS_SNIPER,0] = tf2_sniperItem;
      %this.bb_imageSlot[BB_CLASS_SNIPER,1] = tf2_smgItem;
      %this.bb_imageSlot[BB_CLASS_SNIPER,2] = tf2_kukriItem;
      
      %this.bb_imageSlot[BB_CLASS_SPY,0] = tf2_revolverItem;
      %this.bb_imageSlot[BB_CLASS_SPY,1] = tf2_sapperItem;
      %this.bb_imageSlot[BB_CLASS_SPY,2] = tf2_knifeItem;
      %this.bb_imageSlot[BB_CLASS_SPY,3] = tf2_disguiseItem;
      %this.bb_imageSlot[BB_CLASS_SPY,4] = tf2_invisibilityWatchItem;
      
      %this.botspawnplayer();
   }