package bb_system_recieveRandomDrops
{
   function GameConnection::onDeath(%this, %milk, %cheese, %leek, %bacon)
   {
      if(%this.hasUnrecievedDrops)
      {
         %this.schedule(100,recieveDrops,%this.unrecievedDropData);
         %this.hasUnrecievedDrops = 0;
         %this.unrecievedDropData = "";
      }
      if(%this !$= %cheese && getRandom(0,9) == 0)
      {
         giveRandomDropItem(%cheese);
      }
      Parent::onDeath(%this, %milk, %cheese, %leek, %bacon);
   }
};
activatePackage(bb_system_recieveRandomDrops);

function GameConnection::giveDropItem(%this,%item)
{
   if(!isObject(%item))
      return;
   %this.hasUnrecievedDrops = 1;
   %this.unrecievedDropData = trim(%this.unrecievedDropData SPC %item);
}
function GameConnection::recieveDrops(%this,%drop)
{
   if(strLen(%drop) < 255)
      commandToClient(%this,'BB_SimpleDropData',%drop);
   else
   {
      commandToClient(%this,'BB_AdvDropHEAD',strLen(%drop));
      for(%i=0;%i<strLen(%drop);%i+=254)
      {
         %tempData = getSubStr(%drop,%i,255);
         commandToClient(%this,'BB_AdvDropBODY',%tempData);
      }
   }
   for(%i=0;%i<getWordCount(%drop);%i++)
   {
      %w = getWord(%drop,%i);
      if(!isObject(%w))
         continue;
      %ui = %w.uiName;
      messageAll('',"\c0"@%this.name@" \c6has found: \c3"@%ui);
      cloudTCP.backpackCommit("add",%this.bl_id,convertIDToCloudName(%w.getName(),%this.bb_classui));
   }
}
function getRandomWeaponID()
{
   %weapons = -1;
   %weapon[%weapons++] = tf2_forceItem;
   %weapon[%weapons++] = tf2_sandmanItem;
   %weapon[%weapons++] = tf2_backburnerItem;
   %weapon[%weapons++] = tf2_deadringerItem;
   %weapon[%weapons++] = tf2_cloakDaggerItem;
   return %weapon[getRandom(0,%weapons-1)];
}
function giveRandomDropItem(%cl)
{
   %cl.giveDropItem(convertIDToCloudName(getRandomWeaponID(),%cl.classui));
}