//printGun
datablock itemData(tf2_demolishPDAItem)
{
	category = "item";
	equipment = true;
	
	uiName = "Demolish PDA";
	iconName = "base/client/ui/brickIcons/45 Ramp 2x Print";
	doColorShift = true;
	colorShiftColor = "0.2 0.2 0.2 1";
	
	shapeFile = "base/data/shapes/printGun.dts";
	emap = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	
	image = tf2_destroyImage;
	canDrop = true;
};

datablock shapeBaseImageData(tf2_destroyPDAImage)
{
	className = "weaponImage";
	item = tf2_demolishPDAItem;
	
	shapeFile = tf2_demolishPDAItem.shapeFile;
	emap = tf2_demolishPDAItem.emap;
	doColorShift = tf2_demolishPDAItem.doColorShift;
	colorShiftColor = tf2_demolishPDAItem.colorShiftColor;
	
	mountPoint = 0;
	offset = "0 -0.05 0";
	//rotation = "0 1 0 180";
	rotation = "0 0 0 180";
	eyeOffset = "0.7 1.2 -0.8";
	//eyeRotation = "0 1 0 180";
	eyeRotation = "0 0 0 180";
	
	correctMuzzleVector = false;
	
	melee = true;
	armReady = true;
	
	stateName[0]                    = "activate";
	stateTimeoutValue[0]            = 0.5;
	stateTransitionOnTimeout[0]     = "ready";
	
	stateName[1]                    = "ready";
	stateTransitionOnTriggerDown[1] = "fire";
	stateAllowImageChange[1]        = true;
	 
	stateName[2]                    = "fire";
	stateTransitionOnTriggerUp[2]   = "ready";
	stateScript[2]                  = "onFire";
};

function tf2_destroyPDAImage::onUnmount(%this,%obj,%slot)
{
   if(!%obj.client.player.hasDisguisedWeapon)
   {
      commandToClient(%obj.client,'centerPrint',"",0.001);
      %obj.client.listenForDestroyType = 0;
   }
}

function tf2_destroyPDAImage::onMount(%this,%obj,%slot)
{
   if(!isObject(%cl = %obj.client))
      return;
   if(!%obj.client.player.hasDisguisedWeapon)
   {
      commandToClient(%cl,'centerPrint',"\c6Enter one of the following build types in chat to destroy it:<br>\c6Dispenser - TeleporterEntrance - TeleporterExit<br>\c7Currently sentries are not supported. :(");
      %cl.listenForDestroyType = 1;
   }
}