%error2 = ForceRequiredAddOn("Projectile_Radio_Wave");
%error3 = ForceRequiredAddOn("Weapon_Bow");

if(%error3 == $Error::AddOn_Disabled)
{
	BowItem.uiName = "";
}

if(!isObject(HealImage))
{
   if(isFile("Add-Ons/Item_Pill/Emote_Heal.cs"))
      exec("Add-Ons/Item_Pill/Emote_Heal.cs");
   else
      exec("./Emote_Heal.cs");
}

function serverCmdMedic(%cl)
{
   if($Sim::Time - %cl.lastMedicTime <= 1.5)
      return;
   if(!isObject(%cl.player))
      return;
   %cl.lastMedicTime = $Sim::Time;
   %cl.player.emote(HealImage);
   serverCmdMessageSent(%cl @ "VOICE","Medic!");
      
   //ALERT MEDICS
   for(%i=0;%i<ClientGroup.getCount();%i++)
   {
      %scl = ClientGroup.getObject(%i);
      if(%scl $= %cl)
         continue;
      if(!isObject(%scl.player))
         continue;
      if(%scl.bb_class !$= BB_CLASS_MEDIC)
         continue;
      %dist = mFloor(vectorDist(%scl.player.getPosition(),%cl.player.getPosition()) * 2);
      messageClient(%scl,'',"\c3" @ %cl.name @ " \c6has requested a medic! Person is "@%dist@" bricks away");
   }
}
package TF2MedicButton
{
   function serverCmdUseSprayCan(%cl)
   {
      if(%cl.miniGame.enablePainting)
         Parent::serverCmdUseSprayCan(%cl);
      else
      {
         serverCmdMedic(%cl);
         serverCmdUnUseTool(%cl);
         commandToClient(%cl,'setPaintingDisabled',true);
         commandToClient(%cl,'setPaintingDisabled',false);
      }
   }
};

if(%error2 == $Error::AddOn_NotFound)
{
   error("ERROR: Weapon_TF2MedicPack - required add-on Projectile_Radio_Wave not found");
}
else if(%error3 == $Error::AddOn_NotFound)
{
   error("ERROR: Weapon_TF2MedicPack - required add-on Weapon_Bow not found");
}
else
{
   exec("./Support_StoredVariable.cs");
   exec("./Support_AltDatablock.cs");
   exec("./Support_RaycastingWeapons.cs");
   exec("./Support_TF2BasicMelee.cs");
   exec("./Weapon_TF2Medigun.cs");
   exec("./Weapon_TF2Blutsauger.cs");
   exec("./Weapon_TF2Ubersaw.cs");
   activatePackage(TF2MedicButton);
}

