function createBastionTeamSpawns()
{
	if(isObject("brickTDMTeam1SpawnPointData"))
		return;
	for(%i=0;%i<2;%i++)
	{
	   switch (%i)
	   {
	      case 0: %teamui = "RED Team Spawn";
                 %teamdt = BB_TEAM_RED;
	      case 1: %teamui = "BLU Team Spawn";
                 %teamdt = BB_TEAM_BLU;
	      default: continue;
	   }
		datablock fxDTSBrickData(brick : brickSpawnPointData)
		{
			category = "Special";
			subCategory = "Block Bastion";
			uiName = %teamui;
			isBBSpawn = 1;
			spawnTeam = %teamdt;
		};
		brick.setName("brickBBTeam" @ %i+1 @ "SpawnPointData");
	}
}
createBastionTeamSpawns();

package BB_brick_teamSpawns
{
   function fxDTSBrick::onPlant(%this)
   {
      Parent::onPlant(%this);
      if(%this.getDatablock().isBBSpawn)
      {
         if(!isObject(BB_teamSpawnGroup)) new SimSet(BB_teamSpawnGroup);
         BB_teamSpawnGroup.add(%this);
      }
   }
};
activatePackage(BB_brick_teamSpawns);