function registerBlockBastionSpecial(%name,%func,%spc)
{
   $BB::EVT::EXIST[%name] = 1;
   $BB::EVT::FUNC[%name] = %func;
   registerInputEvent(fxDTSBrick, "Special", "BlockBastion ScriptObject");
   registerOutputEvent(ScriptObject, %name, %spc);
}
package BB_specialEvents
{
   function SimObject::addEvent(%this,%enabled,%delay,%input,%target,%output,%a,%b,%c,%d,%e,%f,%g,%h,%i,%j)
   {
      %input_ui = $InputEvent_NamefxDTSBrick_[%input];
      %output_ui = $OutputEvent_NameScriptObject_[%output];
      if($EVENTDEBUG)
      {
         announce(%this @ "::addEvent - "@%inputui@" -> (?) -> "@%output_ui);
      }
      Parent::addEvent(%this,%enabled,%delay,%input,%target,%output,%a,%b,%c,%d,%e,%f,%g,%h,%i,%j);
      if(%input $= "Special" && $BB::EVT::EXIST[%output] && isFunction($BB::EVT::FUNC[%output]))
      {
         call($BB::EVT::FUNC[%output],%this,trim(%a TAB %b TAB %c TAB %d TAB %e TAB %f TAB %g TAB %h TAB %i TAB %j));
      }
   }
};
activatePackage(BB_specialEvents);