if(!$BB::SUPPORT::registerBuilding)
   exec($BB::Path @ "/scripts/classes/engineer/support_registerBuilding.cs");
   
//0> createEngineerBuilding("0 0 0","teleporterEntrance",localclientconnection);
//1> createEngineerBuilding("0 10 0","teleporterExit",localclientconnection);
//2> TOUCH teleporterEntrance
//3> UPDATEPOS teleporterExit
//4> WAITFOR teleporter*->recharge
//5> GOTO 2
//6> SIGNAL_PROFIT = TRUE
//7> YOU_ARE_CHUCKNORRIS = TRUE

registerBuildingType("teleporterEntrance",3,200,125,"150 180 216",$BB::Path @ "data/Teleporter.dts");
registerBuildingType("teleporterExit",3,200,125,"150 180 216",$BB::Path @ "data/Teleporter.dts");
function BB_Building_TeleporterEntrance_1::onAdd(%this,%obj)
{
   //%obj.setScale("1 1 0.1");
   %obj.owner.bb_teleEntrance = %obj;
   %obj.bb_power = 100;
   %obj.bb_rechargeTime1 = 100;
   %obj.bb_rechargeTime2 = 50;
   %obj.bb_rechargeTime3 = 30;
   if(isObject(%obj.owner.bb_teleExit))
   {
      %obj.owner.bb_teleExit.ss_alsoCharge = %obj;
      %obj.ss_alsoCharge = %obj.owner.bb_teleExit;
   }
}
function BB_Building_TeleporterExit_1::onAdd(%this,%obj)
{
   //%obj.setScale("1 1 0.1");
   %obj.owner.bb_teleExit = %obj;
   %obj.bb_power = 100;
   if(isObject(%obj.owner.bb_teleEntrance))
   {
      %obj.owner.bb_teleEntrance.ss_alsoCharge = %obj;
      %obj.ss_alsoCharge = %obj.owner.bb_teleEntrance;
   }
}

function SimObject::rechargePower(%this)
{
   if(%this.bb_power >= 100)
      return;
   %this.bb_power++;
   if(isObject(%this.owner.bb_teleExit))
      %this.bb_teleExit.bb_power = %this.bb_power;
   %this.schedule(%this.bb_rechargeTime[%this.bb_upgradeLevel],rechargePower);
}

package BB_Teleporters
{
   function Armor::onCollision(%this,%obj,%col,%fade,%pos,%normal)
   {
      Parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
      if(%col.bb_type $= "teleporterEntrance" && isObject(%obj.client) && %obj.getClassName() $= Player && %col.bb_power >= 100 && isObject(%col.owner.bb_teleExit))
      {
         %exit = %col.owner.bb_teleExit;
         %telePos = vectorAdd(%exit.getPosition(), "0 0 0.1") SPC getWords(%exit.getTransform(),2,3);
         %col.bb_power = 0;
         %exit.bb_power = 0;
         %obj.schedule(500,setTransform,%telePos);
         %obj.schedule(500,setWhiteout,1);
         %col.schedule(700,rechargePower);
      }
   }
};
activatePackage(BB_Teleporters);