// SPECIAL HAMMER TYPES:
// Health Frog (0): 500 health
// berfrog (1): 12 seconds critical hits
// Speed Frog (2): Speed up for 30 seconds
// Melee Frog (3): Loose all your ammo
// Poison Frog (4): Go down to 1 HP
// NoSentry Frog (5): Enemy sentries will ignore you for 60 seconds
// Explosion Frog (6): 15 seconds till you explode. Heal every 1 seconds and turbo boost on

datablock ItemData(tf2_hammerItem : hammerItem)
{
   uiName = "";
   doColorShift = true;
   colorShiftColor = "0 1 0 1";
   image = "";
};

function GameConnection::recieveHammer(%this,%ham,%id)
{
   %this.play2D(Synth_04_Sound);
   commandToClient(%this, 'centerPrint', "<just:left><br><br><font:impact:22><color:FFFFFF>Hammer picked up!", 2);
   if(isObject(cloudTCP))
      cloudTCP.pushStack("hammers add" SPC %this.bl_id);
   else
      return 0;
   return 1;
}

function spawnHammer(%dropper,%trans)
{
   %ham = new Item() { datablock = tf2_hammerItem; dropper = %dropper; };
   %ham.setShapeName("(" @ findClientByBL_ID(%dropper).name @ ")");
   %ham.setTransform(%trans);
}

function tf2_hammerItem::onPickup(%this,%obj,%pl)
{
   if(%pl.client.recieveHammer(%obj,%obj.specialId))
      %obj.delete();
   return;
}

package tf2_dropHammers
{
   function GameConnection::onDeath(%this,%sourceO,%sourceC,%dmgT,%dmgL)
   {
      if(%this !$= %sourceC && !$TF2::SPC::CollectHammersDisabled)
         spawnHammer(%this.bl_id,%this.player.getTransform());
      Parent::onDeath(%this,%sourceO,%sourceC,%dmgT,%dmgL);
   }
};
activatePackage(tf2_dropHammers);