$MapRotationDisabled = 1;
function initiateMapRotation()
{
   $MapRotationDisabled = 0;
   if(!isFile("config/server/maprotation.txt"))
   {
      $MapRotationDisabled = 1;
      return;
   }
   $MapRotFile = "config/server/maprotation.txt";
   startRotatedMapByID(0);
}
function nextMapRotate()
{
   %id = getCurrentMapRotNum();
   %max = getFileLineCount($MapRotFile);
   if(%id >= %max-1)
      %newid = 0;
   else
      %newid = %id++;
   %mapdat = readFileLine($MapRotFile,%newid);
   %nextMap = firstWord(%mapdat);
   %rounds = restWords(%mapdat);
   if(strLen(%rounds) < 1)
      %rounds = 1;
   startRotatedMap(%nextMap,%rounds);
}
function startRotatedMapByID(%id)
{
   %mapdat = readFileLine($MapRotFile,%newid);
   %nextMap = firstWord(%mapdat);
   %rounds = restWords(%mapdat);
   if(strLen(%rounds) < 1)
      %rounds = 1;
   startRotatedMap(%nextMap,%rounds);
}
function startRotatedMap(%map,%r)
{
   $JustLoadLoopDat = %r;
   changeBastionMap(%map);
}
function getCurrentMapRotNum()
{
   %map = getCurrentMap();
   %num = -1;
   %fo = new FileObject();
   %fo.openForRead("config/server/maprotation.txt");
   %line = 0;
   while(!%fo.isEOF())
   {
      %fomap = firstWord(%fo.readLine());
      if(%fomap $= %map)
      {
         %num = %line;
         break;
      }
      %line++;
   }
   %fo.close();
   %fo.delete();
   return %num;
}
function getFileLineCount(%f)
{
   %fo = new FileObject();
   %fo.openForRead(%f);
   while(!%fo.isEOF())
   {
      %fo.readLine();
      %lines++;
   }
   %fo.close();
   %fo.delete();
   return %lines;
}
function readFileLine(%f,%l)
{
   %text = "";
   if(%l >= getFileLineCount(%f))
      return %text;
   %fo = new FileObject();
   %fo.openForRead(%f);
   %line = 0;
   while(!%fo.isEOF())
   {
      if(%l $= %line)
      {
         %text = %fo.readLine();
         break;
      }
      else
         %fo.readLine();
      %line++;
   }
   %fo.close();
   %fo.delete();
   return %text;
}
function getCurrentMap()
{
   return MissionInfo.name;
}

schedule(100,0,initiateMapRotation);