datablock PlayerData(booModePlayer : PlayerStandardArmor)
{
   maxDamage = 50;
   thirdPersonOnly = 1;
   uiName = "Humiliated Player";
   maxForwardSpeed = 5;
   maxBackwardSpeed = 2;
   maxForwardCrouchSpeed = 1.5;
   maxBackwardCrouchSpeed = 1;
   runForce = 2500;
   canJet = 0;
};
package BB_mode_boo
{
   function Player::mountImage(%this,%image,%slot,%wee,%boo)
   {
      if(%this.client.booMode && !%boo)
         return;
      else
         Parent::mountImage(%this,%image,%slot,%wee);
   }
   function GameConnection::spawnPlayer(%this)
   {
      %parent = Parent::spawnPlayer(%this);
      if(%this.booMode)
         %this.player.schedule(300,changeDatablock,booModePlayer);
      return %parent;
   }
};
activatePackage(BB_mode_boo);
function GameConnection::enterBooMode(%this)
{
   if(isObject(%this.player))
   {
      %this.player.unmountImage(0);
      %this.player.changeDatablock(booModePlayer);
   }
   %this.booMode = true;
}
function GameConnection::leaveBooMode(%this)
{
   %this.booMode = false;
}