package BB_select_class
{
   function serverCmdPrevSeat(%cl)
   {
      if($UseNormalPrevSeat)
         Parent::serverCmdPrevSeat(%cl);
      else
         commandToClient(%cl,'OpenClassSelection');
   }
};
activatePackage(BB_select_class);

function serverCmdSetClass(%cl,%class)
{
   switch$ (%class)
   {
      case SCOUT: %id = 0;
      case SOLDIER: %id = 1;
      case PYRO: %id = 2;
      case DEMOMAN: %id = 3;
      case HEAVY: %id = 4;
      case ENGINEER: %id = 5;
      case MEDIC: %id = 6;
      case SNIPER: %id = 7;
      case SPY: %id = 8;
   }
   serverCmdClass(%cl,%id);
}

function serverCmdClass(%cl,%id)
{
   if($Sim::Time - %cl.bb_lastClassChange <= 1)
      return;
   %cl.bb_lastClassChange = $Sim::Time;
   switch (%id)
   {
      case 0: %type = BB_CLASS_SCOUT;
              %ui = "Scout";
      case 1: %type = BB_CLASS_SOLDIER;
              %ui = "Soldier";
      case 2: %type = BB_CLASS_PYRO;
              %ui = "Pyro";
      case 3: %type = BB_CLASS_DEMOMAN;
              %ui = "Demoman";
      case 4: %type = BB_CLASS_HEAVY;
              %ui = "Heavy";
      case 5: %type = BB_CLASS_ENGINEER;
              %ui = "Engineer";
      case 6: %type = BB_CLASS_MEDIC;
              %ui = "Medic";
      case 7: %type = BB_CLASS_SNIPER;
              %ui = "Sniper";
      case 8: %type = BB_CLASS_SPY;
              %ui = "Spy";
      default: messageClient(%cl,'',"\c6Invalid class type, please verify you have the latest version of the client.");
               return;
   }
   if(%cl.bb_class $= %type || %cl.bb_nextclass $= %type)
      return;
   %cl.bb_nextclass = %type;
   %cl.bb_nextclassui = %ui;
   messageClient(%cl,'',"\c6You will spawn as" SPC %ui @ ".");
}