function serverCmdLoadout(%cl)
{
   messageClient(%cl,'',"\c6Loadout menu is not currently done. Use \c3/setloadout CLASS SLOT WEAPON_ID");
   messageClient(%cl,'',"\c6Use \c3/loadout_list CLASS SLOT \c6to see a list of WEAPON_IDs for that class+slot.");
}

function serverCmdSetLoadout(%cl, %class, %slot, %weapon)
{
   if($Sim::Time - %this.lastLoadoutChange <= 1)
      return;
   %this.lastLoadoutChange = $Sim::Time;
   if(%slot > 3 || %slot < 1)
   {
      messageClient(%cl,'',"\c6Invalid slot number. Please use a number from 1 to 3.");
      return;
   }
   switch$ (%class)
   {
      case SCOUT: %rc = BB_CLASS_SCOUT;
      case SOLDIER: %rc = BB_CLASS_SOLDIER;
      case PYRO: %rc = BB_CLASS_PYRO;
      case DEMOMAN: %rc = BB_CLASS_DEMOMAN;
      case HEAVY: %rc = BB_CLASS_HEAVY;
      case ENGINEER: %rc = BB_CLASS_ENGINEER;
      case MEDIC: %rc = BB_CLASS_MEDIC;
      case SNIPER: %rc = BB_CLASS_SNIPER;
      case SPY: %rc = BB_CLASS_SPY;
      default: messageClient(%cl,'',"\c6Invalid class name. Please use one of the 9 valid TF2 classes.");
               return;
   }
   %item = ERROR_UNEXISTANT;
   for(%i=0;%i<getLineCount($BB::LoadoutWeapons)-1;%i++)
   {
      %entry = getLine($BB::LoadoutWeapons,%i);
      echo(" + Scanning loadout, line: "@%entry);
      %b1 = getField(%entry,0);
      %b2 = getField(%entry,1);
      %b3 = getField(%entry,2);
      if(%b1 $= strupr(%weapon) && %b2 $= %slot-1)
         %item = nametoid(%b3);
   }
   if(%item $= ERROR_UNEXISTANT || !isObject(%item))
   {
      messageClient(%cl,'',"\c6Invalid weapon ID. Use \c3/loadout_list "@strupr(%class)SPC%slot@" \c6to see weapon IDs for this class+slot.");
      return;
   }
   %cl.bb_imageSlot[%rc,%slot-1] = %item;
   switch (%slot)
   {
      case 1: %uislot = "primary";
      case 2: %uislot = "secondary";
      case 3: %uislot = "tiertiary";
   }
   messageClient(%cl,'',"\c3"@strupr(%class)@"\c6's "@%uislot@" has been set to \c3"@%item.uiName@"\c6"@(getSubStr(%item.uiName,strLen(%item.uiName)-1,1) $= "." ? "" : "."));
}