package BB_support_minigameCanDamage
{
   function miniGameCanDamage(%obj1,%obj2)
	{
		if(!isObject(%obj1) || !isObject(%obj2))
		{
		   if($DEBUG)
		      announce("notexist");
			return Parent::miniGameCanDamage(%obj1,%obj2);
		}
		
		%val = Parent::miniGameCanDamage(%obj1,%obj2);
		//if(%val != 1)
		//{
		//   if($DEBUG)
		//      announce("not1");
		//	return %val;
		//}
		switch$(%obj1.getClassName())
		{
			case "Player":
				%cl1 = %obj1.client;
			case "AIPlayer":
			   if(strLen(%obj1.client.bl_id) > 0)
			      %cl1 = %obj1.client;
            else if(strLen(%obj1.sentryOwner.bl_id) > 0)
               %cl1 = %obj1.sentryOwner;
            else if(strLen(%obj1.owner.bl_id) > 0)
               %cl1 = %obj1.owner;
			case "Projectile":
				%cl1 = %obj1.client;
			case "AIConnection":
				%cl1 = %obj1;
			case "GameConnection":
				%cl1 = %obj1;
			case "fxDTSBrick":
				return 0;
		}
		
		switch$(%obj2.getClassName())
		{
			case "Player":
				%cl2 = %obj2.client;
			case "AIPlayer":
				if(strLen(%obj2.client.bl_id) > 0)
			      %cl2 = %obj2.client;
            else if(strLen(%obj2.sentryOwner.bl_id) > 0)
               %cl2 = %obj2.sentryOwner;
            else if(strLen(%obj2.owner.bl_id) > 0)
               %cl2 = %obj2.owner;
			case "Projectile":
				%cl2 = %obj2.client;
			case "AIConnection":
				%cl1 = %obj1;
			case "GameConnection":
				%cl2 = %obj2;
			case "fxDTSBrick":
				return 0;
		}
		
		if($DEBUG)
		   announce("minigameCanDamage: "@%cl1.name@" - "@%cl2.name);
		
		if(%cl1 $= %cl2)
			return 1;
      
      if(!isObject(%cl1) || !isObject(%cl2))
         return 0;
         
      if(%cl1.bb_team !$= %cl2.bb_team)
         return 1;
      else
         return 0;
	}
};
activatePackage(BB_support_minigameCanDamage);