function loadVoiceData()
{
   deleteVariables("$BB::VoiceData*");
   %file = $BB::Path @ "voicedata.txt";
   if(!isFile(%file))
   {
      error("Error: Unable to load voice data file. ("@%file@")");
      return;
   }
   %fo = new FileObject();
   %fo.openForRead(%file);
   while(!%fo.isEOF())
   {
      %line = %fo.readLine();
      if(getSubStr(%line,0,1) $= "!")
      {
         %currClass = getSubStr(%line,1,strLen(%line));
         continue;
      }
      if(strLen(%currClass) > 0)
         $BB::VoiceData[%currClass] = $BB::VoiceData[%currClass] @ %line NL "";
   }
   %fo.close();
   %fo.delete();
}

function serverCmdVoiceMenu(%cl,%menu,%v)
{
   if(!isObject(%cl.player))
      return;
   if($Sim::Time - %cl.lastVoiceMenuTime < 1.5)
      return;
   %exists = 0;
   for(%i=0;%i<getLineCount($BB::VoiceData[%cl.bb_classui]);%i++)
   {
      %l = getLine($BB::VoiceData[%cl.bb_classui],%i);
      if(getWord(%l,0) $= %menu && getWord(%l,1) $= %v)
      {
         %exists = 1;
         %offset = 1;
         echo(" -- total fields: "@getFieldCount(%l));
         %voiceId = getRandom(0,getWord(%l,2)-1);
         echo("VOICE_SELECT, voiceId: "@%voiceId@" | offset: "@%offset@" | getting field: "@%voiceId + %offset);
         %str = getField(%l,%voiceId + %offset);
         echo("found: "@%str);
         //%str = getField(%l,getRandom(1,getWord(%l,2)+1));
      }
   }
   if(!%exists)
      return;
   %cl.lastVoiceMenuTime = $Sim::Time;
   serverCmdMessageSent(%cl @ "VOICE",%str);
   if(isObject(%audio = nametoid(%audio)))
      serverPlay3D(%audio,%cl.player.getPosition());
}

loadVoiceData();